be.fgov.ehealth.etee.kgss._1_0.protocol

## Class GetNewKeyRequestContent

- java.lang.Object
- - be.fgov.ehealth.etee.kgss._1_0.protocol.GetNewKeyRequestContent

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T10:58:05+01:00",
                 comments="JAXB RI v2.2.11")
      public class GetNewKeyRequestContent
      extends Object
      implements Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="AllowedReader" type="{urn:be:fgov:ehealth:etee:kgss:1_0:protocol}CredentialType" maxOccurs="unbounded"/>
               <element name="ExludedReader" type="{urn:be:fgov:ehealth:etee:kgss:1_0:protocol}CredentialType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="ETK" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
               <element name="DeletionStrategy" type="{urn:be:fgov:ehealth:etee:kgss:1_0:protocol}DeletionStrategyType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetNewKeyRequestContent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<CredentialType>` | `getAllowedReaders()` Gets the value of the allowedReaders property.
    `DeletionStrategyType` | `getDeletionStrategy()` Gets the value of the deletionStrategy property.
    `byte[]` | `getETK()` Gets the value of the etk property.
    `List<CredentialType>` | `getExludedReaders()` Gets the value of the exludedReaders property.
    `void` | `setDeletionStrategy(DeletionStrategyType value)` Sets the value of the deletionStrategy property.
    `void` | `setETK(byte[] value)` Sets the value of the etk property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetNewKeyRequestContent

          public GetNewKeyRequestContent()

  - ### Method Detail

    - #### getAllowedReaders

          public List<CredentialType> getAllowedReaders()

      Gets the value of the allowedReaders property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the allowedReaders property.

      For example, to add a new item, do as follows:

              getAllowedReaders().add(newItem);

      Objects of the following type(s) are allowed in the list `CredentialType`

    - #### getExludedReaders

          public List<CredentialType> getExludedReaders()

      Gets the value of the exludedReaders property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the exludedReaders property.

      For example, to add a new item, do as follows:

              getExludedReaders().add(newItem);

      Objects of the following type(s) are allowed in the list `CredentialType`

    - #### getETK

          public byte[] getETK()

      Gets the value of the etk property.
      Returns:
        possible object is byte[]

    - #### setETK

          public void setETK(byte[] value)

      Sets the value of the etk property.
      Parameters:
        `value` - allowed object is byte[]

    - #### getDeletionStrategy

          public DeletionStrategyType getDeletionStrategy()

      Gets the value of the deletionStrategy property.
      Returns:
        possible object is `DeletionStrategyType`

    - #### setDeletionStrategy

          public void setDeletionStrategy(DeletionStrategyType value)

      Sets the value of the deletionStrategy property.
      Parameters:
        `value` - allowed object is `DeletionStrategyType`

Connector Packaging PERSPODOLOGIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.